#ifndef __MAP_H__
#define __MAP_H__
#include "BaseBmp.h"

#define DEPTH 7

class Map{
public:
  Map();
  ~Map();
  int Init();
  void Create();
  void Drain(int,int,int,int);
  void Heal(int,int,int,int);
  ALLEGRO_BITMAP*bmp; //384x1920
  ALLEGRO_BITMAP*mapgris,*mapcolor;
  uint32_t dotcolor;
  uint8_t*mapdot;
  uint8_t*mv;uint16_t*mh;
  //Perlin Noise
  void GenGrad();
  float Snoise(int,int,int);
  float lerp(float,float,float);
  float perlin(int,int,int);
  float*Grad[DEPTH];
};

#endif
